function display_usage {
echo "JethroMoveTables - a utility to move a table from one schema to another."
echo "Before running, please run 'service jethro stop <instance_name> all' on all instance hosts and make sure no loads are active."
echo "USAGE: JethroMoveTable instance_name old_dchema_name.old_table_name new_dchema_name.new_table_name"
}

function rename {

# Making sure jethro services not running on the current host (we wish to do this test on all instnace's hosts, but we are lack of such a test)
 if [[ "$(service jethro status | grep "<$INSTANCE>" | wc -l)"  -ne 0 ]]; then
        echo "Looks like there are still Jethro Services running for instance  $INSTANCE on this machine:"
        service jethro status | grep "<$INSTANCE>"
        echo "Please run 'service jethro stop $INSTANCE all' on all instance hosts, and then run this script again"
        exit 1;
 fi
 echo  "Moving $OLDNAME to $NEWNAME..."
 Jethro U $INSTANCE Y $OLDNAME $NEWNAME
    if [[ "$?" -ne 0 ]]; then
    echo "Failed to move table."
        else
        echo "Success - The table have been assigned to the new schema." 
		echo "You may run 'service jethro start $INSTANCE all' on all instance hosts."
		echo "Please note that views and scheduled loads which were using this table in the previous schema, if existed, should be removed and recreated on the new schema."
fi
}


###############################
# MAIN SCRIPT STARTS HERE
###############################
ARGS=( "$@" )
# General checks
if [[ $EUID -eq 0 ]]; then
  # Running as root messes local file permissions
  echo
  echo 'Error - this script must run as a non-root user, exiting'
  exit 1
fi

if [ "$#" -ne 3 ]; then
    echo -e "Error, invalid input."
        display_usage
         exit 1
else
INSTANCE=`echo $1 | tr [:upper:] [:lower:]`
  OLDNAME=`echo $2 | tr [:upper:] [:lower:]`
  NEWNAME=`echo $3 | tr [:upper:] [:lower:]`
fi


 echo -e "\e[31m Important - Before starting, please run 'service jethro stop $INSTANCE all' on all instance hosts, and make sure no loads are active.  \e[0m" 
read -r -p "Continue? [Y/N]" yn 
  if [[ $yn =~ ^([yY][eE][sS]|[yY])$ ]]; then
			rename;
	else
       echo "Canceled, exiting..."; 
	   exit 0;
   fi


exit 0

