echo ' ---------------- ' >> /var/log/jethro/$2/services.log   2>&1
echo `date +"%Y/%m/%d %H:%M:%S"` >> /var/log/jethro/$2/services.log   2>&1

function run_jethro {
  source $LIBJDMEMTOOL_CONFIG
  MEMTOOL_DIR=/var/log/jethro/memtool
  mkdir -p $MEMTOOL_DIR
  chmod 777 $MEMTOOL_DIR
  cd $MEMTOOL_DIR

  LD_PRELOAD=$JETHRO_HOME/lib/libjdmemtool.so JETHRO_INSTANCE=$2 nohup $1 $2 $3 >> /var/log/jethro/$2/services.log   2>&1 &
}

LIBJDMEMTOOL_CONFIG=$JETHRO_HOME/instances/$2/libjdmemtool-config.sh
DEFAULT_LIBJDMEMTOOL_CONFIG=$JETHRO_HOME/conf/default-libjdmemtool-config.sh
if [ -f $LIBJDMEMTOOL_CONFIG ]; then
  run_jethro $1 $2 $3
elif [ -f $DEFAULT_LIBJDMEMTOOL_CONFIG ] ; then
  LIBJDMEMTOOL_CONFIG=$DEFAULT_LIBJDMEMTOOL_CONFIG
  echo -n ' Using default libjdmemtool configuration file:' >> /var/log/jethro/$2/services.log   2>&1
  echo $DEFAULT_LIBJDMEMTOOL_CONFIG >> /var/log/jethro/$2/services.log   2>&1
  run_jethro $1 $2 $3
else     
  echo ' No configuration found for libjdmemtool ' >> /var/log/jethro/$2/services.log   2>&1
  echo ' Will start JethroServer without libjdmemtool' >> /var/log/jethro/$2/services.log   2>&1

  echo "-1"
  exit -1
fi

PID=$!
# wether the process still alive?
sleep 2
kill -0 $PID >/dev/null 2>&1
RETVAL=$?

if [ $RETVAL -eq 0 ]; then
  echo $PID
  exit "$PID"
else
  echo $RETVAL
  exit "$RETVAL"
fi
