#!/bin/bash

ARGS=( "$@" )
# General checks
if [[ $EUID -eq 0 ]]; then
  # Running as root messes local file permissions
  echo
  echo 'Error - this script must run as a non-root user, exiting'
  exit 1
fi

if [[ ! $JETHRO_HOME ]]; then
    echo 
    echo "Error - \$JETHRO_HOME is not defined, exiting"
    exit 10
fi

if [[ ! -d $JETHRO_HOME ]]; then
    echo 
    echo "Error - \$JETHRO_HOME does not point to an existing directory, exiting"
    exit 10
fi

INSTANCE_NAME=`echo $1 | tr [:upper:] [:lower:]`

_COMMAND=${ARGS[@]}

source $JETHRO_HOME/conf/jd-hadoop-env.sh $INSTANCE_NAME loader

$JETHRO_HOME/bin/JethroLoader $_COMMAND
exit $?